from enum import Enum


class LastUserActionEnum(Enum):
    CREATE = "create"
    UPDATE = "update"
    DELETE = "delete"


class LastAdminActionEnum(Enum):
    CREATE = "create"
    UPDATE = "update"
    DELETE = "delete"


class PostCategoryEnum(Enum):
    """
    1- 관엽식물 커뮤니티
    2- 원예식물 커뮤니티
    3- 다육식물 커뮤니티
    4- 채소 커뮤니티
    99- 전체 커뮤니티
    100- 공지사항
    """

    HOUSE_PLANT = 1
    HORTICULTURAL_PLANT = 2
    SUCCULENT_PLANT = 3
    VEGETABLE = 4
    ALL = 99
    NOTICE = 100
